Change log for muse-el package in Ubuntu

113 of 13 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-01-11
Deleted in bionic-proposed (Reason: moved to release)
muse-el (3.20+dfsg-4) unstable; urgency=medium

  * Declare Standards-Version: 4.1.3. (No additional changes needed)
  * Switch to debhelper 11.
  * Declare compat level 11.
  * Update packaging to current pkg-emacsen standards:
    - Change from Section: editors to Section: lisp.
    - Drop emacs24 everywhere.
    - Drop unnecessary emacsen-common dependency.
    - Drop Built-Using.
  * Drop depends on emacs-goodies-el, and depend on elpa-htmlize instead.
  * debian/control: Use my preferred formatting.

 -- Nicholas D Steeves <email address hidden>  Sun, 07 Jan 2018 18:14:58 -0500

Available diffs

Superseded in bionic-release on 2018-01-11
Published in artful-release on 2017-06-20
Deleted in artful-proposed (Reason: moved to release)
muse-el (3.20+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Nicholas D Steeves <email address hidden>  Mon, 19 Jun 2017 19:34:13 -0400

Available diffs

Superseded in artful-release on 2017-06-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
muse-el (3.20+dfsg-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New Maintainer. (Closes: #715466)
  * Repackage using dh-elpa:
    - debian/control: add dh-elpa build dependency.
    - Rename the binary package to elpa-muse.
    - 'muse-el' is now a dummy transitional package.
    - debian/rules: Start from scratch, because it's a complete rewrite.
    - Drop debian/emacsen-* and debian/muse-el.dirs.
    - Add update_dir_struct.diff patch for upstream README to reflect
      the new locations various files are installed to.
    - Update NEWS and README.Debian with new elpa-muse locations, and remove
      asterisks from NEWS.
  * Declare source format 3.0 (quilt) non-native.
  * debian/control:
    - Change section to editors.
    - Change priority to optional.
    - Bump required debhelper to >=10.
    - Update Emacs build dependency to emacs-nox | emacs25 | emacs24.
    - Add texlive-latex-base dependency recommendation, which is needed for
      many functions, including TeX import/export and PDF export targets.
    - Add homepage, and Vcs links.
    - Bump standards version to 3.9.8.
      Various changes elsewhere in this changelog entry.
  * Register Quickstart.pdf with doc-base.
  * Switch to dh compat 10.
  * Add patch fix_privacy_breaches.diff; this removes CSS validation links and
    prevents the download of favicon. (Closes: #775885)
  * Add patch no_texi.diff to disable non-DFSG compliant documentation.
  * Install docs and examples using dh_install* tools.
  * debian/rules:
    - Override dh_auto_build to build examples and autoloads.
    - Override dh_installchangelogs to install upstream changelog series.
  * Install images used by the QuickStart.muse example to
    doc/elpa-muse-version/examples. (Closes: #720121)
  * Add patch use_see_not_open.diff to use Debian's "see" command rather
    than "open", the command a popular commercial OS uses to automatically
    choose the correct helper program to open files.  Thank you to Kevin Ryde,
    who suggested this change. (Closes: #720126)
  * Add watch file.
  * Add elpa-muse.lintian-overrides and source.lintian-overrides.  Refer
    to comments in these files for the rationale behind this.
  * Add muse-el.maintscript to remove obsolete 50muse-el.el.

  [ Sean Whitton ]
  * Add dependency on emacs-goodies-el.
    htmlize.el is needed for postinst to bytecompile htmlize-hack.el

  [ Nicholas D Steeves & Sean Whitton ]
  * debian/copyright:
    - Rewrite to use machine-readable format 1.0.
    - Fix misattributed source; timestamps found in the source code of our
      muse-el_3.20+dfsg.orig.tar.gz do not match those of the tarball
      provided by http://download.gna.org, but they match what
      git://repo.or.cz provides; consequently, this git repo must be cited
      as the verifiable origin of muse-el_3.20+dfsg.orig.tar.gz.

 -- Nicholas D Steeves <email address hidden>  Sun, 15 Jan 2017 22:05:09 -0700

Available diffs

Superseded in zesty-release on 2017-01-19
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
muse-el (3.20+dfsg-0.1) unstable; urgency=low


  * Non-maintainer upload.
  * Remove unused and non DFSG-compliant texi/muse.texi from source.
    (Closes: #695783)

 -- David Prévot <email address hidden>  Sun, 30 Dec 2012 16:51:23 -0400
Superseded in saucy-release on 2013-05-19
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
muse-el (3.20-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Keep the GFDL manual:
      + Modified debian/rules to build the manual
      + Added copyright info about the manual in debian/copyright
 -- Bhavani Shankar <email address hidden>   Sat, 16 Oct 2010 09:53:48 +0530

Available diffs

Superseded in natty-release on 2010-10-16
Obsolete in maverick-release on 2013-03-05
muse-el (3.12-1.1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes: LP: #594997
    - Keep the GFDL manual:
      + Modified debian/rules to build the manual
      + Added copyright info about the manual in debian/copyright

Available diffs

Superseded in maverick-release on 2010-06-17
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
muse-el (3.12-1ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable (LP: #239998), remaining changes:
    - Modified Maintainer field as per spec
    - Keep the GFDL manual:
      - Modified debian/rules to build the manual
      - Added copyright info about the manual in debian/copyright

Available diffs

Superseded in intrepid-release on 2008-06-14
Obsolete in hardy-release on 2015-04-24
muse-el (3.11-3ubuntu1) hardy; urgency=low

  * Merge with with Debian unstable (LP: #137284). Remaining Ubuntu changes:
    - Keep manual.
    - Set Ubuntu MOTU to be Maintainer

Superseded in hardy-release on 2008-01-11
Obsolete in gutsy-release on 2011-09-16
muse-el (3.03-1ubuntu1) gutsy; urgency=low

  * Closes LP: #123907
  * Sync with Debian.  Remaining changes:
    - Keep (add) manual.
  * debian/control:
    - Set Ubuntu MOTU to be Maintainer and myself as
      XSBC-Original-Maintainer to silence warning.
  * debian/rules;
    - Manual is now in texi/ directory.
    - Clean generated html files and info file for the manual.

Superseded in gutsy-release on 2007-07-20
Obsolete in feisty-release on 2009-08-20
muse-el (3.02.8-1) unstable; urgency=low

  * New upstream release.
  * Bug fix: "muse-el: Can not activate planner-mode on Emacs 22", thanks
    to intrigeri (Closes: #391408).
  * Bug fix: "muse-el: muse-http.el is not functional", thanks to Junichi
    Uekawa (Closes: #357949).
  * control (Build-Depends): New field which contains debhelper
    dependency.
    (Standards-Version): Bump to 3.7.2.
  * debian/emacsen-install: Compile files in contrib directory in addition
    to the normal fare.  Thanks to Junichi Uekawa for the suggestion.
  * debian/emacsen-startup: Add contrib directory to load-path.
  * debian/emacsen-remove: Fix comment.
  * debian/compat: New file that sets the debhelper compatibility level to
    4.
  * debian/rules: Remove DH_COMPAT line.  Thanks to Romain Francoise for
    the suggestion.
  * debian/NEWS: Rename from NEWS.Debian.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  07 Nov 2006 03:03:46 +0000
Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
muse-el (3.02.6-2) unstable; urgency=low

  * Update copyright data.
  * Bump `muse-version' up to 3.02.6.  Thanks to Romain Francoise for
    spotting this.
  * debian/emacsen-install, debian/emacsen-statup: Use autoload file.
  * debian/rules: (build-stamp): Make autoloads.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 15:07:00 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
muse-el (3.02.6-1) unstable; urgency=low


  * New upstream release.

 -- Michael W. Olson (GNU address) <email address hidden>  Thu, 12 Jan 2006 22:22:01 -0500
Superseded in dapper-release on 2006-01-31
muse-el (3.02.5-1) unstable; urgency=low


  * New upstream release.

 -- Michael W. Olson (GNU address) <email address hidden>  Sat, 17 Dec 2005 12:11:27 -0500
113 of 13 results